PB 6.5.1.620, MSS 6.5, ODBC, embedded SQL

The following SQL fails using PB 6.5.1.620.  It used to work with PB 
6.5.0.444.

Driver File Name: SQLSRV32.DLL
Driver Version : 03.70.0623
DBMS Name: Microsoft SQL Server
DBMS Version: 06.50.0255

The error is: Select: 999 SQLSTATE = 37000 [Microsoft][ODBC SQL Server 
Driver]Syntax error or access violation

This is embedded SQL in Powerscript.

The problem is the "bind" variables in the correlated subquery (the SELECT 
MIN part).  If those are hardcoded as strings, and not variables, the 
query works.

SELECT id, pk_current, pk_high
INTO :llID, :llPKLow, :llPKHigh
FROM nxsprimr
WHERE table1 = :as_table 
AND allocation_code = 'A'
AND dbid = :as_site_id
AND pk_current = (SELECT MIN(b.pk_current)
        FROM nxsprimr b
        WHERE b.table1 = :as_table 
        AND b.allocation_code = 'A' 
        AND b.dbid = :as_site_id)
USING sqlca;

0
matthewc
6/4/1999 7:57:09 PM
sybase.powerbuilder.database 9855 articles. 1 followers. Follow

1 Replies
543 Views

Similar Articles

[PageSpeed] 27

Changing the correlated subquery parameters solves the problem.

SELECT id, pk_current, pk_high
INTO :llID, :llPKLow, :llPKHigh
FROM nxsprimr
WHERE table1 = :as_table 
AND allocation_code = 'A'
AND dbid = :as_site_id
AND pk_current = (SELECT MIN(b.pk_current)
        FROM nxsprimr b
        WHERE b.table1 = nxsprimr.table1
        AND b.allocation_code = 'A' 
        AND b.dbid = nxsprimr.dbid)
USING sqlca;

0
matthewc
7/2/1999 10:34:44 PM
Reply:

Similar Artilces:

PB 6.5.1, Connect to Oracle 8.1.6.3 with PBO7360.DLL (v6.5.1.620)
Hey, I've got a developer that I can't get to connect to Oracle from within the PB dev environment (PB 6.5.1). tnsping is fine, all the other Oracle utilities as well, as non-Oracle programs can connect just fine, but just not PB. If you try to configure the database connection under Oracle7, @tns:sun3500 the returned error code is ORA-01019, and then ORA-12514 (if you try again). He has the Oracle 9.2.0.1.0 SQL-net client installed. I have the same SQL-Net on my machine, and it works fine. We've tried SQL-Net 8... as well no difference, and we've re-installed PB...

PB 6.5.1, Connect to Oracle 8.1.6.3 with PBO7360.DLL (v6.5.1.620)
Hey, I've got a developer that I can't get to connect to Oracle from within the PB dev environment (PB 6.5.1). tnsping is fine, all the other Oracle utilities as well, as non-Oracle programs can connect just fine, but just not PB. If you try to configure the database connection under Oracle7, @tns:sun3500 the returned error code is ORA-01019, and then ORA-12514 (if you try again). He has the Oracle 9.2.0.1.0 SQL-net client installed. I have the same SQL-Net on my machine, and it works fine. We've tried SQL-Net 8... as well no difference, and we've re-installed PB...

Microsoft SQL Server 6.x (PB 6.5) VS ODBC (PB 10.5) ...
Hi everybody, After migrating my application from PB 6.5 which uses Microsoft SQL Server 6.x as a DB connection and having to set up ODBC for PB 10.5 I am getting the following error: "SQLSTATE = 22005, Invalid character value for cast specification" This happen for absolutely every single dw that is created based on an Store Procedure. What could be happening? How can I fix this? Thank you, Gabriela ...

Can the PB 6.5 or 6.5.1 maintenance release be ran on PB 6.0
Yes. ...

Embedding works with 5.005_03 and 5.6.1 __no threads__ but not with 5.6.1 threads
Dear Ladies and Gentlemen, Please would you help me fix the mistake in a short C program that attempts to embed the Perl intrepreter ? (to check Netsaint plugins; Netsaint http://www.Netsaint.ORG, is a program that schedules service checks and often it is convenient to write the checks - of a fill out form for example - in Perl. Netsaint 0.0.7b[1-7] provide an embedded Perl interpreter; the program checks whether a plugin can stand conversion to a sub (as happens with mod_perl) The program compiles and runs Ok under Perl 5.005_03 and 5.6.1 built without threads but seg fau...

What to upgrade my PB 6.5 to PB 6.5.1 ?
What to upgrade my PB 6.5 to PB 6.5.1 ? What file I can download and Where is this file ? thanks http://sdn.sybase.com/sdn/appdev/get_doc.stm?loc=1001286 On Thu, 5 Aug 1999 23:03:18 +0800, in powersoft.public.powerbuilder.database Netvigator <kevinlcw@ctimail.com> wrote: >What to upgrade my PB 6.5 to PB 6.5.1 ? What file I can download and Where >is this file ? > >thanks > > --- Bruce Armstrong [TeamSybase] | Romac/Source International mailto:Bruce.Armstrong@teamsybase.com | mailto:jobs@sourcela.com ...

What to upgrade my PB 6.5 to PB 6.5.1 ?
What to upgrade my PB 6.5 to PB 6.5.1 ? Where I can donwload the upgrade pack ? thanks Go to http://support.sybase.com select Software Distribution, log on, select Powerbuilder and then pick PB 6.5.1 maintenance patch. Harpreet Netvigator wrote in message ... >What to upgrade my PB 6.5 to PB 6.5.1 ? Where I can donwload the upgrade >pack ? > >thanks > > Go to Sybase Developers Network (http://www.sybase.com/sdn) and look for the patches link. Good luck, Terry [TeamSybase] and Sequel the techno-kitten On Thu, 5 Aug 1999 23:02:22 +0800, &quo...

ODBC 3.5 + PB 6.5 + Sql Anywhere 5.5.04 + Win95b
I am unable to view the procedure syntax using PB 6.5 against a Sql Anywhere 5.5.04 database using ODBC 3.51; I receive the message: "The database does not currently support retrieval of procedure text". Using the same database file, I can receive the procedure syntax when using PB 5.0.04 ( 16-bit ), or when using PB 7 beta. Also, the Design menu within the Database Administration painter for PB 6.5 does not have the entries for 'Table Security', 'Maintain Users' or 'Maintain Groups'. This ODBC is the one which comes with the Jaguar beta. My Pb...

Migrate PB 6.5.1, PFC and Cornerstone 6.5 to Powerbuilder 7.
Hello! I am now working with PB 6.5.1, PFC 6.5 and Cornerstone 6.5. What is best way to go: Migrate whole application including PFC*.PBL 6.5 to 7 or replace PFC*.PBL from 6.5 with PFC*.PBL 7.0 or ...? Any documents, links or readings about how to eliminate Cornerstone and only use PFC? Thank you for your help /Gunnar Nyberg Ericsson Sweden ---== Posted via the PFCGuide Web Newsreader ==--- http://www.pfcguide.com/_newsgroups/group_list.asp Why would you want to do that? You do have the source to Cornerstone, right? Or did they distribute their framework only as PBDs? ...

PB 6.5.0 vs PB 6.5.1 with datastores
Hi all, I began developing a large application using PB 6.5.0 several months ago. For various reasons, we had to migrate the code to 6.5.1. After performing some recursion testing, we noticed that many operations involving datastores ( create, insert rows, update, destroy ) began generating random GPF/Page Faults. The code itself hasn't changed and was verified in PB 6.5.0 via extensive testing. This is a hard one to pinpoint since the crashing is somewhat random. I've read some posts that indicate that certain dot notation can be problematic. All objects were fully rebuilt...

Experiences with PB 6.5.1 vs. PB 6.5.0
Any people run into any problems with 6.5.1 (+ EBF 1163) that were not there in vanilla 6.5.0. We have to migrate very late in the game (1 week before going live!) due to problems with 6.5.0 Oracle drivers and I would appreciate any advice on anything that got broken in that release. TIA, -- -------------------------------------------------------------------- Jacek Furmankiewicz STS Systems - http://www.stssystems.com --------------------------------------------------------------------- 6.51 introduces a peculiar side effect during update() of datawindow - scrolls the d...

upgrading from 6.5.1 to 6.5.6
I ran the patch upgrade for gw 6.5 to get us to sp6. Ran the update and rebooted. all seem to upgrade except the gwia component. It was soft abending the server. I tried re installing the gwia from the new SDD directory and it still did not work. Is there any problems with going from 6.5.1 to 6.5.6 directly? gw 6.5.1 (poa, mta, gwia, webaccess on same server). One post office. novell 6 sp 5. Normally not, but try deleting sccfilt.bin, if it exists. <rmburt@nationalindemnity.com> wrote in message news:_Z7Qh.2389$mb6.563@prv-forum2.provo.novell.com... >I r...

GW 6.5.1 to 6.5.5
We were going to patch our GW 6.5.1 system to 6.5.5 this weekend. Anything to look out for? Anything special to make sure it goes smoothly? Can I do a /copyonly or do I need to do each install for my MTA, PO, Webaccess and GWIA? I currently use Guinevere 2 for our incoming/outgoing internet mail. We will probably be going to GW 7 after the first of the year and thought that being up to 6.5.5 might make the upgrade to GW 7 smoother. Anyone have any thoughts? Thanks. You can do a /copyonly with agents and gwia only. Web Access need to be installed from scratch, jus...

Client 6.5.5 and 6.5.6
I am testing this before rolling it out to users--in the item lists, is there a reason that the year no longer displays in the date column (We are upgrading from SP2 and it is fine there)? It now reads mm/dd and the time instead of mm/dd/yy and the time. This is also true of the header when you open an item. It is particulalry a problem when looking at document references. This is not unique to me, is it? Found it--in the Options for date and Time--now, is it possible that the SP5 update changed the settings? "PatM" <pmuellerNOSPAM@cmt-law.com> wrote in ...

Web resources about - PB 6.5.1.620, MSS 6.5, ODBC, embedded SQL - sybase.powerbuilder.database

GNOME Mobile & Embedded Initiative - Wikipedia, the free encyclopedia
... about the topic. If notability cannot be established, the article is likely to be merged , redirected , or deleted . The GNOME Mobile & Embedded ...

Facebook To Page Admins: Link Share Posts Draw More Engagement Than Embedded Links
Facebook’s latest advice to page administrators focused on declining organic reach involves the way they share links . continued… New Career ...

Embedded Posts Now Available to Everyone
We introduced Embedded Posts in July to make it easy for publishers to add any public post from Facebook to their blog or web site. Today, we're ...

Facebook gives embedded posts a visual renovation
Post by ESPN . Facebook rolled out embedded posts last year , and today the company has announced a more aesthetic redesign . Now, photos and ...

Embedded.com (@embedded_com) on Twitter
Log in Sign up You are on Twitter Mobile because you are using an old version of Internet Explorer. Learn more here Embedded.com @ embedded_com ...

Rich photo experience now in embedded Tweets - Twitter Blogs
Every day, publishers and journalists all over the world share the best of Twitter with their readers by embedding Tweets in their articles. ...

Embedded Timelines - Twitter Developers
Overview Embeddable timelines make it easy to syndicate any public Twitter timeline to your website with one line of code. Just like timelines ...

Embedded Systems Design - LinkedIn
Embedded Systems Design was created specifically to meet the information needs of the senior-level developers who create complex embedded systems. ...

App Store - Embedded Computing Design
Get Embedded Computing Design on the App Store. See screenshots and ratings, and read customer reviews.

VIA Embedded booth digital home - Flickr - Photo Sharing!
Stylish, discreet digital home automation, security and entertainment solutions on show at the VIA Embedded booth at Computex 2009

Resources last updated: 1/22/2016 9:12:15 PM